Bug 1410720 - Ruby 2.4
Summary: Ruby 2.4
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF26, SystemWideChange
Depends On: 1409095
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 08:56 UTC by Jan Kurik
Modified: 2017-07-25 17:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-25 17:05:07 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2017-01-06 08:56:12 UTC
This is a tracking bug for Change: Ruby 2.4
For more details, see: https://fedoraproject.org//wiki/Changes/Ruby_2.4

Ruby 2.4 is the latest stable version of Ruby. Many new features and improvements are included for the increasingly diverse and expanding demands for Ruby. With this major update from Ruby 2.3 in Fedora 24 to Ruby 2.4 in Fedora 26, Fedora becomes the superior Ruby development platform.

Comment 1 Jan Kurik 2017-02-28 10:08:46 UTC
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.

Comment 2 Fedora End Of Life 2017-02-28 10:53:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Jan Kurik 2017-05-17 09:13:37 UTC
On 2017-May-16 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 26 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 4 Jan Kurik 2017-05-19 08:13:26 UTC
This Change is going to be reviewed on a FESCo meeting: https://pagure.io/fesco/issue/1710

Comment 5 Simon Clark 2017-07-01 08:41:04 UTC
I have added release notes text for this change to the draft F26 Release Notes here: https://pagure.io/release-notes/c/3c7a58838e933fb654f7e77b390831a8ea08bc9b?branch=f26

Please would you take a look at the draft and let me know if anything should be added or changed?

Comment 6 Vít Ondruch 2017-07-03 09:40:04 UTC
(In reply to Simon Clark from comment #5)
> Please would you take a look at the draft and let me know if anything should
> be added or changed?

LGTM. Thx


Note You need to log in before you can comment on or make changes to this bug.